package cn.hmsoft.weixin.request;

import cn.hmsoft.weixin.entity.response.MaterialResponseJson;
import cn.hmsoft.weixin.entity.response.WxResponseJson;

/*******************************
 * @note 删除一个多媒体文件
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2017-05-09 00:26:05
 * @version 4.0.0
 */
public class MaterialDelRequest extends AbstractRequest<WxResponseJson, WxResponseJson, MaterialResponseJson> {

	private final static String url = "https://api.weixin.qq.com/cgi-bin/material/del_material?";

	/************************
	 * @param media_id
	 *            多媒体id
	 */
	public MaterialDelRequest(String media_id) {
		this.requestEntity = new MaterialResponseJson();
		this.requestEntity.setMedia_id(media_id);
	}

	@Override
	protected String makeUrl() {
		this.method = "POST";
		return url + "access_token=" + this.wxDefine.getApp_accesstoken();
	}


}
